[med-svn] r11872 - trunk/packages/trimmomatic/trunk/debian

Andreas Tille tille at alioth.debian.org
Mon Jul 23 14:00:08 UTC 2012


Author: tille
Date: 2012-07-23 14:00:08 +0000 (Mon, 23 Jul 2012)
New Revision: 11872

Added:
   trunk/packages/trimmomatic/trunk/debian/get-orig-source
Removed:
   trunk/packages/trimmomatic/trunk/debian/README.source
Modified:
   trunk/packages/trimmomatic/trunk/debian/rules
   trunk/packages/trimmomatic/trunk/debian/watch
Log:
Iron out in code what was mentioned in README.source (so no real need to mention it any more, thought)


Deleted: trunk/packages/trimmomatic/trunk/debian/README.source
===================================================================
--- trunk/packages/trimmomatic/trunk/debian/README.source	2012-07-23 10:24:29 UTC (rev 11871)
+++ trunk/packages/trimmomatic/trunk/debian/README.source	2012-07-23 14:00:08 UTC (rev 11872)
@@ -1,4 +0,0 @@
-The following files and directories where removed from the source tree:
-trimmomatic-0.22/lib/jbzip2-0.9.jar
-trimmomatic-0.22/old
-

Added: trunk/packages/trimmomatic/trunk/debian/get-orig-source
===================================================================
--- trunk/packages/trimmomatic/trunk/debian/get-orig-source	                        (rev 0)
+++ trunk/packages/trimmomatic/trunk/debian/get-orig-source	2012-07-23 14:00:08 UTC (rev 11872)
@@ -0,0 +1,31 @@
+#!/bin/sh
+# get source for beast-mcmc from SVN because there is no source tarball distribution
+
+set -e
+NAME=`dpkg-parsechangelog | awk '/^Source/ { print $2 }'`
+UNAME=`echo $NAME | sed -e 's/^t/T/' -e 's/$/-Src/'`
+
+if ! echo $@ | grep -q upstream-version ; then
+    VERSION=`dpkg-parsechangelog | awk '/^Version:/ { print $2 }' | sed 's/\([0-9\.]\+\)-[0-9]\+$/\1/'`
+    uscan --force-download
+else
+    VERSION=`echo $@ | sed "s?^.*--upstream-version \([0-9.]\+\) .*${UAME}.*?\1?"`
+    if echo "$VERSION" | grep -q "upstream-version" ; then
+        echo "Unable to parse version number"
+        exit
+    fi
+fi
+
+TARDIR=${NAME}-${VERSION}
+
+mkdir -p ../tarballs
+cd ../tarballs
+unzip -q ../${UNAME}-${VERSION}.zip
+
+# clean up unneeded binary jars
+rm -rf ${TARDIR}/lib/*.jar
+# No need to keep copies of old code
+rm -rf ${TARDIR}/old
+
+GZIP="--best --no-name" tar --owner=root --group=root --mode=a+rX -caf "$NAME"_"$VERSION".orig.tar.gz "${TARDIR}"
+rm -rf "${TARDIR}"


Property changes on: trunk/packages/trimmomatic/trunk/debian/get-orig-source
___________________________________________________________________
Added: svn:executable
   + *

Modified: trunk/packages/trimmomatic/trunk/debian/rules
===================================================================
--- trunk/packages/trimmomatic/trunk/debian/rules	2012-07-23 10:24:29 UTC (rev 11871)
+++ trunk/packages/trimmomatic/trunk/debian/rules	2012-07-23 14:00:08 UTC (rev 11872)
@@ -14,4 +14,5 @@
 	ant
 
 get-orig-source:
-	uscan --verbose --force-download --repack --rename
+	# uscan --verbose --force-download --repack --rename
+	. debian/get-orig-source

Modified: trunk/packages/trimmomatic/trunk/debian/watch
===================================================================
--- trunk/packages/trimmomatic/trunk/debian/watch	2012-07-23 10:24:29 UTC (rev 11871)
+++ trunk/packages/trimmomatic/trunk/debian/watch	2012-07-23 14:00:08 UTC (rev 11872)
@@ -1,3 +1,4 @@
 version=3
 http://www.usadellab.org/cms/index.php?page=trimmomatic \
-  uploads/supplementary/Trimmomatic/Trimmomatic-Src-([.\d]*).zip
+  uploads/supplementary/Trimmomatic/Trimmomatic-Src-([.\d]*).zip \
+  debian debian/get-orig-source




More information about the debian-med-commit mailing list